ByteBufferOutputStream (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Class ByteBufferOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.zookeeper.server.ByteBufferOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class ByteBufferOutputStream
      extends OutputStream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteBufferOutputStream(ByteBuffer bb)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `record2ByteBuffer(Record record, ByteBuffer bb)`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteBufferOutputStream

          public ByteBufferOutputStream(ByteBuffer bb)

  - ### Method Detail

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### record2ByteBuffer

          public static void record2ByteBuffer(Record record,
                                               ByteBuffer bb)
                                        throws IOException

      Throws:
        `IOException`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.